Package com.google.android.exoplayer2.video.spherical

## Class ProjectionDecoder

- java.lang.Object
- - com.google.android.exoplayer2.video.spherical.ProjectionDecoder

-     public final class ProjectionDecoder
      extends Object

  A decoder for the projection mesh.

  The mesh boxes parsed are described at Spherical Video V2 RFC.

  The decoder does not perform CRC checks at the moment.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static Projection` | `decode​(byte[] projectionData, int stereoMode)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### decode

          @Nullable
          public static Projection decode​(byte[] projectionData,
                                          @StereoMode
                                          int stereoMode)